#include <iostream>

using namespace std;

int main()
{
    char c1c2;
    int a1, a2;
    char x;
    cin>>c1c2;
    cin>>a1>>a2;


    if (x=a1+a2)
    {
        cout<<x;
    }
    else 
    {
        cout<<nemoguce;
    }


    return 0;
}